textures/solstice_f/sky_solsky
{
	qer_editorimage textures/solstice_f/solsky_view.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 75
	surfaceparm sky
	q3map_sun 0.3 0.3 0.45 88 87 86
	skyparms env/solsky/solsky - -
}

textures/solstice_f/base_terrain
{
	q3map_nonplanar
	q3map_shadeAngle 180                                              

	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
}

textures/solstice_f/terrain1
{
	qer_editorimage textures/solstice_f/rocks1.jpg
	q3map_baseshader textures/solstice_f/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	
	
	{
		map textures/solstice_f/rocks1.jpg
		rgbGen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}

textures/solstice_f/terrain2
{
	qer_editorimage textures/solstice_f/rocks2.jpg
	q3map_baseshader textures/solstice_f/base_terrain
	
	surfaceparm landmine
	surfaceparm gravelsteps
	
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
		
{
        map textures/solstice_f/rocks1.jpg
		// Primary
		rgbGen identity
	}
	{
		map textures/solstice_f/rocks2.jpg
		// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/solstice_f/purplewarp
{
	nopicmip
	nomipmaps
	qer_editorimage textures/rtcw_trickjump_5/purplewarp.jpg	
	qer_trans
	{
		map textures/solstice_f/purplewarp.jpg
		//blendFunc filter
		tcGen environment
		rgbgen wave sin 1 .5 0 .4
		tcMod turb 0 0.1 0 0.2
        	tcmod scroll .04 .04
		tcmod scale 9 9
	}
}

textures/solstice_f/1
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/1.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/2
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/2.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/3
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/3.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/4
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/4.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/5
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/5.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/6
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/6.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/7
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/7.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/8
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/8.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/9
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/9.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/10
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/10.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/11
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/11.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/12
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/12.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/13
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/13.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/ascent
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/ascent.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/descent
{
	deformVertexes autosprite
	nomipmaps
	nopicmip
	q3map_globaltexture
	cull disable
	{
		clampmap textures/solstice_f/descent.tga
		blendFunc GL_ONE GL_ONE
	}        
}

textures/solstice_f/purplewater_e
{
	qer_editorimage textures/solstice_f/purplewater
	qer_trans .8
	q3map_surfacelight 400
	q3map_globaltexture
	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	{
		map textures/solstice_f/purplewater.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map textures/solstice_f/purplewater2.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}
	{
		map textures/solstice_f/purplewater3.jpg
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity
	}
}











